wavinfo(1)

NAME
wavinfo - probe wave files for metadata

SYNOPSIS
wavinfo [--adm] [--ixml] FILE ...

DESCRIPTION
wavinfo extracts embedded metadata from WAVE and RF64/WAVE sound files, with an emphasis on film, video and professional music production metadata.

OPTIONS

(no options)
    With no options, wavinfo will emit a JSON (Javascript Object Notation) object containing all detected metadata.

--adm
    Output any Audio Definition Model (ADM) metadata in FILE.

--ixml
    Output any iXML metdata in FILE.

-h, --help
    Print brief help.

DETAILED DESCRIPTION
wavinfo collects metadata according to different scopes.

  METADATA SCOPES

fmt Basic audio properties: sample format, sample rate, channel count, etc.

data
    Size and frame count of the WAVE file's data segment.

cues
    Timed cue points, labels, notes and time ranges.

bext
    Broadcast-WAV metadata: description, originator, date and time, UMID.

ixml
    A selection of parsed iXML fields: track list, project, scene, take, tape, family name, family uid. For the full iXML document use the --ixml command option.

adm EBU Audio Definition Model (ADM) metadata: Programme, channels. For the full ADM <axml> document use the --adm command option.

dolby
    Dolby bitstream and Atmos metadata.

info
    INFO metadata fields: IART (artist), ICMT (comment), etc.

EXIT STATUS

0   On user quit.

AUTHOR
Jamie Hardt https://github.com/iluvcapra

BUGS
Issue submissions, feature requests, pull requests and other contributions are welcome and should be directed at wavinfo's home page on GitHub:
    https://github.com/iluvcapra/wavinfo